#include <stdlib.h>
#include <stdio.h>

#include "bignum.h"
#include "print.h"


void
test_sub()
{
	struct bignum *a, *b, *c;
	unsigned short av[] = { 0xffff, 0xffff };
	unsigned short bv[] = { 0x000e, 0xffff };

	a = bnum_new();
	b = bnum_new();
	c = bnum_new();

	bnum_set(a, av, 2, 0);
	bnum_set(b, bv, 2, 0);

	bnum_sub(c, a, b);

	printf("0xffffffff - 0xffff000e = 0xFFF1\nbnum_sub return           ");

	bnum_printhex(c);
	printf("\n");

	bnum_free(&a);
	bnum_free(&b);
	bnum_free(&c);
}


int
main(int argc, char **argv)
{
	test_sub();

	return 0;
}
